More NVIDIA woes

Brian Beardall brian at rapsure.net
Wed Nov 9 20:03:21 MST 2005


> I followed the Gentoo nVidia guide pretty much to the letter
> (http://www.gentoo.org/doc/en/nvidia-guide.xml), but the NVIDIA kernel
> module is failing.  To quote my Xorg.0.log file:
> 
> (EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module!
> 
> As you may guess from that line, I am unable to run an X server at all
> with "nvidia" as my selected driver.  I can run X "just fine" with
> "nv" but it has some drawbacks that I would rather not live with.
> 
> The only clue I've come up with is this: the kernel I have installed
> is 2.6.13-r5, but portage tells me I have version 2.6.11-r2 of the

You need to install a newer version of the Nvidia driver.  Nvidia kernel
1.0.6629 doesn't work with the 2.6.13 kernel.  To use a newer version
you can type: 
echo "media-video/nvidia-kernel" >> /etc/portage/package.keywords

You will be able to then install a newer version that will work with the
2.6.13 kernel.  I gave up on the nvidia drivers this time because every
new kernel release breaks the nvidia drivers.:(  Nearly all of the
opensource drivers have continued to work through the different kernel
releases.  GPL functions are the reasons.




More information about the PLUG mailing list